DestinationFactoryManager (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.transport, interface: DestinationFactoryManager

Package org.apache.cxf.transport

# Interface DestinationFactoryManager

All Known Implementing Classes:
  `DestinationFactoryManagerImpl`

public interface DestinationFactoryManager
The DestinationFactoryManager provides an interface to register and retrieve transport factories.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deregisterDestinationFactory(String name)`
  Unregister a `DestinationFactory`.
  `DestinationFactory`
  `getDestinationFactory(String name)`
  Returns the `DestinationFactory` registered with the specified name, loading the appropriate plugin if necessary.
  `DestinationFactory`
  `getDestinationFactoryForUri(String uri)`
  Returns the `DestinationFactory` registered with the specified URI, loading the appropriate plugin if necessary.
  `Set<String>`
  `getRegisteredDestinationFactoryNames()`
  Returns all registered (as of the moment of the call) destination factories.
  `void`
  `registerDestinationFactory(String name, DestinationFactory factory)`
  Associates a name, often a URI, with a `DestinationFactory` when registering with the `Bus`'s `TransportRegistry`.

- ## Method Details

  - ### registerDestinationFactory

    void registerDestinationFactory(String name, DestinationFactory factory)
    Associates a name, often a URI, with a `DestinationFactory` when registering with the `Bus`'s `TransportRegistry`.
    Parameters:
      `name` - A string containing the name used to identify the `DestinationFactory`
      `factory` - The `DestinationFactory` to be registered.

  - ### deregisterDestinationFactory

    void deregisterDestinationFactory(String name)
    Unregister a `DestinationFactory`.
    Parameters:
      `name` - A string containing the name of the `DestinationFactory`.

  - ### getRegisteredDestinationFactoryNames

    Set<String> getRegisteredDestinationFactoryNames()
    Returns all registered (as of the moment of the call) destination factories.
    Returns:
      all registered (as of the moment of the call) destination factories.

  - ### getDestinationFactory

    DestinationFactory getDestinationFactory(String name) throws BusException
    Returns the `DestinationFactory` registered with the specified name, loading the appropriate plugin if necessary.
    Parameters:
      `name` -
    Returns:
      the registered `DestinationFactory`
    Throws:
      `BusException`

  - ### getDestinationFactoryForUri

    DestinationFactory getDestinationFactoryForUri(String uri)
    Returns the `DestinationFactory` registered with the specified URI, loading the appropriate plugin if necessary.
    Parameters:
      `uri` - the uri to look up `DestinationFactory`
    Returns:
      the registered `DestinationFactory`
    Throws:
      `BusException`